SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002923: Upgrading from Endian Firewall Community release 2.2 to 2.4 via the efw-upgrade command fails - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002923Endian FirewallInstallationpublic2010-05-27 14:212010-06-09 13:14
Reportercmateski 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target Version2.4Fixed in Version 
Summary0002923: Upgrading from Endian Firewall Community release 2.2 to 2.4 via the efw-upgrade command fails
DescriptionUpgrading from Endian Firewall Community release 2.2 to 2.4 via the efw-upgrade command Fails. The upgrade failed 3 times.


*** FIRST ATTEMPT ***
efw-upgrade -s
a lot of files were downloaded....
Cut previous screen output and pasted the errors ..
efw-snort-2.3.33-0.endian12.n.. ######################################## [ 99%]
dhcp-3.0.5-7.endian6.i586.rpm ######################################## [100%]


Committing transaction...
Preparing... ######################################## [ 0%]
error: file /home/httpd/html/include/jquery.flot.js from install of python-toscawidgets-jquery-0.9.5-7.endian5 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/html/include/serviceswitch.js from install of efw-guilib-2.3.63-0.endian3 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/cgi-bin/hosts.cgi from install of efw-dnsmasq-2.3.15-0.endian8 conflicts with file from package efw-base-2.6.127.2-1.endian9




*** SECOND ATTEMPT ***
efw-upgrade -s
Cut previous screen output and pasted the errors ..
80.6MB of package files are needed. 71.6MB will be used.

Committing transaction...
Preparing... ######################################## [ 0%]
error: file /home/httpd/html/include/jquery.flot.js from install of python-tosca widgets-jquery-0.9.5-7.endian5 conflicts with file from package efw-base-2.6.127 .2-1.endian9
error: file /home/httpd/html/include/serviceswitch.js from install of efw-guilib -2.3.63-0.endian3 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/cgi-bin/hosts.cgi from install of efw-dnsmasq-2.3.15-0.e ndian8 conflicts with file from package efw-base-2.6.127.2-1.endian9




*** REBOOTED ***

*** THIRD ATTEMPT ***
Captured all screen output.....
root@efw:~ # efw-upgrade -s
Please choose the appropriate channel for your environment and hit [ENTER]:
1) Production (stable releases)
2) Development (bleeding edge)
1
Please enter your username and hit [ENTER]:
cmateski@yahoo.com


Loading cache...
Updating cache... ########################################### [100%]

Fetching information for 'efw-community'...
-> //cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml">http://cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml [//cmateski@yahoo.com:*@updates.endian.org/stable/repodata/repomd.xml" target="_blank">^]
repomd.xml ########################################### [ 33%]

Updating cache... ########################################### [100%]

Channels have no new packages.
Loading cache...
Updating cache... ########################################### [100%]

Computing transaction...

Upgrading packages (128):
  amavisd-new iputils
  apache isdn4k-utils
  audit-libs kernel
  basesystem kernel-modem-drivers
  conntrack-tools kernel-module-openswan
  cyrus-sasl krb5-libs
  cyrus-sasl-md5 kudzu
  cyrus-sasl-plain libdaemon
  dansguardian libnetfilter_conntrack
  dhclient libnetfilter_log
  dhcp libnfnetlink
  dnsmasq libosip2
  e2fsprogs libvolume_id
  e2fsprogs-libs libxml2
  ebtables libxml2-python
  efw-backup logrotate
  efw-clamav mdadm
  efw-configroot misc-progs
  efw-console mkinitrd
  efw-dansguardian module-init-tools
  efw-dhcpd ntop
  efw-dnsmasq ntp
  efw-endian openssh
  efw-firewall openssh-clients
  efw-frox openssh-server
  efw-guilib openssl
  efw-havp openswan
  efw-ifup openvpn
  efw-interfaceeditor openvpn-auth
  efw-ipsec p3scan
  efw-locales pax
  efw-mailgraph perl
  efw-netwizard perl-rrdtool
  efw-network postgresql-libs
  efw-ntp postgrey
  efw-openssh ppp
  efw-popscan procps
  efw-proxy python-cheetah
  efw-qos python-json
  efw-siproxd python-toscawidgets-jquery
  efw-smtpscan rp-pppoe
  efw-snort rrdtool
  efw-spamassassin samba
  efw-syslog samba-common
  efw-upgrade scripts
  efw-vpn sed
  efw-vpnclient shadow-utils
  endian-artwork-community siproxd
  endian-core smartpm
  ethconfig snort
  ethtool speedtouch
  fcron squid
  file squid-radius-auth
  filesystem sudo
  frox syslog-ng
  gettext tar
  grub tmpwatch
  gzip udev
  havp ulogd
  hwdata unzip
  ifplugd uplinksdaemon
  initscripts util-linux-ng
  ipac-ng wireless-tools
  iptables zoo

Installing packages (45):
  collectd python-nose
  device-mapper python-paste
  device-mapper-libs python-paste-deploy
  efw-collectd python-paste-script
  efw-httpd python-pexpect
  efw-samba python-protocols
  emi python-psycopg2
  libgcrypt python-ruledispatch
  libgpg-error python-setuptools
  lm_sensors python-simplejson
  lvm2 python-sqlalchemy
  modem-drivers python-sqlite2
  net-snmp-libs python-sqlobject
  perl-json-xs python-testgears
  python-cherrypy python-toscawidgets
  python-configobj python-toscawidgets-forms
  python-decoratortools python-turbocheetah
  python-formencode python-turbogears
  python-genshi python-turbojson
  python-htmltmpl python-turbokid
  python-kid python-webob
  python-mx sysfsutils
  python-netfilter_conntrack

80.6MB of package files are needed. 71.6MB will be used.

Committing transaction...
Preparing... ########################################### [ 0%]
error: file /home/httpd/html/include/jquery.flot.js from install of python-toscawidgets-jquery-0.9.5-7.endian5 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/html/include/serviceswitch.js from install of efw-guilib-2.3.63-0.endian3 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/cgi-bin/hosts.cgi from install of efw-dnsmasq-2.3.15-0.endian8 conflicts with file from package efw-base-2.6.127.2-1.endian9
Additional InformationWill provide more data upon request.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002323closedra-endian Upgrade from 2.2rc4 to 2.3 Failed with efw-upgrade command 

-  Notes
(0004273)
boccardi (reporter)
2010-05-27 15:28

Anche a me stesso errore:


Committing transaction...
Preparing... ############################################################################################# [ 0%]
error: file /home/httpd/html/include/jquery.flot.js from install of python-toscawidgets-jquery-0.9.5-7.endian5 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/html/include/serviceswitch.js from install of efw-guilib-2.3.63-0.endian3 conflicts with file from package efw-base-2.6.127.2-1.endian9
error: file /home/httpd/cgi-bin/hosts.cgi from install of efw-dnsmasq-2.3.15-0.endian8 conflicts with file from package efw-base-2.6.127.2-1.endian9
(0004284)
christian-endian (administrator)
2010-05-27 19:47

Actually the 2.4 release was meant to be available as an update for 2.3 users.
There are certain dependency problems with upgrades from 2.2 - we will have a loot at them during the next days.
(0004296)
cmateski (reporter)
2010-05-28 14:29

Christian, I tried upgrading from 2.2 to 2.3 but it failed many times. I have the following release 2.3 ticket open for that issue: http://bugs.endian.com/view.php?id=2323 [^] .
(0004445)
tethien (reporter)
2010-06-09 01:38

Hi, any news?
(0004456)
christian-endian (administrator)
2010-06-09 13:14

upgrading from 2.2 to 2.4 should now work

- Issue History
Date Modified Username Field Change
2010-05-27 14:21 cmateski New Issue
2010-05-27 15:28 boccardi Note Added: 0004273
2010-05-27 19:46 christian-endian Status new => confirmed
2010-05-27 19:47 christian-endian Note Added: 0004284
2010-05-28 14:29 cmateski Note Added: 0004296
2010-06-07 14:14 peter-endian Target Version => 2.4
2010-06-09 01:38 tethien Note Added: 0004445
2010-06-09 10:54 ra-endian Relationship added related to 0002323
2010-06-09 13:14 christian-endian Note Added: 0004456
2010-06-09 13:14 christian-endian Status confirmed => closed
2010-06-09 13:14 christian-endian Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker